org.keycloak.models.sessions.infinispan.entities

## Class AuthenticationSessionEntity.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.AuthenticationSessionEntity.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<AuthenticationSessionEntity>
  Enclosing class:
    AuthenticationSessionEntity

      public static class AuthenticationSessionEntity.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<AuthenticationSessionEntity>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.infinispan.commons.marshall.Externalizer<CommonClientSessionModel.ExecutionStatus>` | `EXECUTION_STATUS_EXT`
    `static AuthenticationSessionEntity.ExternalizerImpl` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationSessionEntity` | `readObject(ObjectInput input)`
    `AuthenticationSessionEntity` | `readObjectVersion1(ObjectInput input)`
    `AuthenticationSessionEntity` | `readObjectVersion2(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, AuthenticationSessionEntity value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final AuthenticationSessionEntity.ExternalizerImpl INSTANCE

    - #### EXECUTION_STATUS_EXT

          public static final org.infinispan.commons.marshall.Externalizer<CommonClientSessionModel.ExecutionStatus> EXECUTION_STATUS_EXT

  - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  AuthenticationSessionEntity value)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<AuthenticationSessionEntity>`
      Throws:
        `IOException`

    - #### readObject

          public AuthenticationSessionEntity readObject(ObjectInput input)
                                                 throws IOException,
                                                        ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<AuthenticationSessionEntity>`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion1

          public AuthenticationSessionEntity readObjectVersion1(ObjectInput input)
                                                         throws IOException,
                                                                ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion2

          public AuthenticationSessionEntity readObjectVersion2(ObjectInput input)
                                                         throws IOException,
                                                                ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.